Get products
curl --request GET \
--url https://{host}/product-catalog/v1/Productsimport requests
url = "https://{host}/product-catalog/v1/Products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{host}/product-catalog/v1/Products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"externalId": "<string>",
"hierarchyId": "<string>",
"imageLink": "<string>",
"eans": [
"<string>"
],
"brand": {
"id": "<string>",
"name": "<string>"
},
"suppliers": [
{
"id": "<string>",
"name": "<string>"
}
],
"saleUnit": "<string>",
"weightUnit": "<string>",
"unitOfMeasure": "<string>",
"unitsPerPiece": 123,
"isWeightable": true,
"restrictions": [
"Age16"
],
"metadata": {}
}
],
"links": [
{
"rel": "<string>",
"href": "<string>"
}
]
}Get products
Returns paginated list of products based on the provided query parameters.
GET
/
v1
/
Products
Get products
Query Parameters
Gets or sets the size of the page.
Required range:
1 <= x <= 100Marker for the next page (Should be taken from the previous response).
Optional filter by product IDs.
Optional filer by product EANs.
Last modified on August 10, 2026
⌘I